DWARF_GET_CU_DIE_OFFSET(3)

NAME
dwarf_get_arange_cu_header_offset, dwarf_get_cu_die_offset - retrieve compilation unit offsets

LIBRARY
libdwarf

SYNOPSIS
#include <libdwarf.h>
int
dwarf_get_arange_cu_header_offset(Dwarf_Arange ar, Dwarf_Off *ret, Dwarf_Error *err);
int
dwarf_get_cu_die_offset(Dwarf_Arange ar, Dwarf_Off *ret, Dwarf_Error *err);

DESCRIPTION
These functions retrieve the offsets, relative to the “.debug_info” DWARF section, of the debugging information entries describing the compilation unit associated with a Dwarf_Arange descriptor.

Function dwarf_get_arange_cu_header_offset() retrieves the offset of the compilation unit header associated with argument ar, and stores it in the location pointed to by argument ret.

Function dwarf_get_cu_die_offset() retrieves the offset of the debugging information entry for the compilation unit associated with argument ar, and stores it in the location pointed to by argument ret.

If argument err is not NULL, these functions will use it to store error information, in case of an error.

RETURN VALUES
On success, these functions returns DW_DLV_OK. In case of an error, they return DW_DLV_ERROR and set the argument err.

ERRORS
These functions may fail with:

[DW_DLE_ARGUMENT]
    Argument ar was not a valid Dwarf_Arange descriptor.

[DW_DLE_ARGUMENT]
    Argument ret was NULL.

SEE ALSO
dwarf(3), dwarf_get_arange(3), dwarf_get_arange_info(3), dwarf_get_aranges(3)